using UnityEngine;

namespace Syntriax.Modules.Movement
{
    /// <summary>
    /// A <see cref="IMovement" with no implementation, added by <see cref="MovementController" by default as a fallback implementation/>/>
    /// </summary>
    public class DefaultMovement : MovementBase
    {
        public override void ApplyMovement() { }
        public override void Move(float x = 0, float y = 0, float z = 0) { }
        protected override void OnActivated()
            => Debug.LogWarning("Default Movement is activated, this movement has no implementation, please add a Movement that you can use as a fallback with it's \"CanTakeOver\" value set to true if this was not intentional");
        protected override void OnDeactivated() { }
    }
}
